* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Inter', sans-serif;
    color: #000000;
}

.page-header {
    display: flex;
    justify-content: center;
    padding: 28px 0;
    background: #000000;
}

.logo-header {
    display: block;
}

.banner-main,
.middle-banner,
.bottom-image {
    width: 100%;
}

.infocard-top {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 66px 0 186px;
}

.infocard-top-text {
    max-width: 766px;
}

.infocard-top-subtitle {
    text-align: center;
    font-weight: 400;
    font-size: 32px;
    text-transform: uppercase;
}

.infocard-top-title {
    margin-bottom: 24px;
    text-align: center;
    font-weight: 500;
    font-size: 48px;
    text-transform: uppercase;
}

.infocard-top-description {
    margin-bottom: 64px;
    font-weight: 400;
    font-size: 16px;
}

.infocard-top-image {
    text-align: center;
    width: 240px;
}

.cards-top {
    display: grid;
    grid-template-columns: repeat(3, max-content);
    gap: 20px;
    justify-content: center;
    padding: 72px 0;
}

.card-top {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 26px 26px 34px; 
    background: #FFFFFF;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.23);
}

.card-top-image {
    display: block;
    margin-bottom: 26px;
}

.card-top-description {
    max-width: 300px;
    font-size: 16px;
    line-height: 24px;
    text-align: center;

}

.middle-banners {
    padding: 0 94px 0;
    margin-bottom: 280px;
    background: #E0E0E0;
}

.middle-banners-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 32px;
    align-items: center;
    position: relative;
    top: +141px;
}

.cards-bottom {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 16px;
    align-items: center;
    padding: 0 72px 138px;
}

.card-bottom {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #FFFFFF;
    box-shadow: 0px 4px 16px rgba(0, 0, 0, 0.15);
}

.card-bottom-description {
    font-size: 16px;
    text-align: center;
    padding: 0 34px 66px;
}

.card-bottom-image {
    display: block;
    margin-bottom: 14px;
}

.infocard-bottom {
    text-align: center;
    align-items: center;
}

.infocard-bottom-tittle {
    font-size: 32px;
    line-height: 20px;
    margin-bottom: 18px;
}

.infocard-bottom-description {
    padding: 0 384px 32px;
    font-size: 16px;
    line-height: 24px;
}

.infocard-bottom-image {
    padding: 0 302px 104px;
    text-align: center;
}

.page-footer {
    padding: 38px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #000000;
}

.footer-icons {
    display: flex;
    list-style: none;
    margin-bottom: 16px;
}

.footer-icon {
    margin: 0 8px;
}

.footer-text {
    font-size: 10px;
    line-height: 12px;
    text-transform: uppercase;
    color: #BDBDBD;
}

@media screen and (max-width: 414px) {
    .banner-main-desktop,
    .bottom-desktop {
        display: none;
    }    
}

@media screen and (max-width: 768px) {
    .cards-top {
        grid-template-columns: 1fr;
        padding: 0 32px 80px;
    }

    .middle-banner-01,
    .middle-banner-02 {
        width: 178px;
    }

    .middle-banner-03 {
        width: 368px;
    }

    .middle-banners {
        padding: 0 24px;
    }

    .middle-banners-wrapper {
        grid-template-columns: repeat(2,1fr);
        gap: 14px;
        align-items: center;
    }

    .cards-bottom {
        grid-template-columns: 1fr;
        padding: 0 26px 80px;
    }

    .page-footer {
        padding-bottom: 26px;
    }

    .footer-text {
        text-align: center;
    }

}

@media screen and (max-width: 992px) {
    .infocard-top {
        padding: 54px 0 80px;
    }

    .infocard-top-subtitle {
        font-size: 20px;
    }

    .infocard-top-title {
        margin-bottom: 20px;
        font-size: 28px;      
    }

    .infocard-top-description {
        margin-bottom: 68px;
        text-align: center;
        max-width: 358px;
    }

    .infocard-bottom-tittle {
        margin-top: 52px;
        font-size: 24px;
        line-height: 20px;
    }
    
    .infocard-bottom-description {
        padding: 0 34px 104px;
        font-size: 16px;
        line-height: 24px;
    }
}

@media screen and (min-width: 769px) and(max-width: 1200px) {
    .cards-top {
        display: grid;
        grid-template-columns: repeat(2, max-content);
    }
}

@media screen and (min-width: 415px) {
    .banner-main-mobile,
    .bottom-mobile {
        display: none;
    }
}
